﻿
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;

namespace SecsTranslatorEditor.Helpers
{
	internal static class ErrorHandler
	{
		/// <summary>
		/// Provides standard error handling for the user interface to log and display errors to the user.
		/// </summary>
		/// <param name="exception">The exception to be handled.</param>
		/// <param name="caption">The caption text to be associated with the error.</param>
		/// <param name="args">Format arguments to the caption text.</param>
		public static void OnError(Exception exception, string caption, params object[] args)
		{
			OnError(exception, string.Format(caption, args), exception.Message);
		}

		public static void OnError(Exception exception, string caption, string message)
		{
			MessageBox.Show(message, caption, MessageBoxButton.OK, MessageBoxImage.Error);
		}
	}
}
