﻿using System;
using System.IO;
using System.Windows.Controls;

namespace SecsTranslatorEditor
{
	/// <summary>
	/// Interaction logic for SecsTranslatorEditorView.xaml
	/// </summary>
	public partial class SecsTranslatorEditorView : UserControl
	{
		public SecsTranslatorEditorView()
		{
			InitializeComponent();

			LoadText();
		}

		private void LoadText()
		{
			string filePath = Path.Combine(Directory.GetCurrentDirectory(), "Examples", "SecsCodeSample.txt");
			string fileContent = DefaultText;
			if (File.Exists(filePath))
				fileContent = File.ReadAllText(filePath);
			SecsEditor.Document.InitializeText(fileContent); 
		}
		private string DefaultText => @"
Base Eaf.ApplicationLogic.Semiconductor.Kernel300.Logic.SecsTOS3Translator

Using IE87Carrier(Eaf.ApplicationLogic.Semiconductor.Kernel300.EquipmentCommands.MaterialHandling.IE87Carrier, Eaf.ApplicationLogic.Semiconductor.Kernel300.EquipmentCommands.MaterialHandling.E87Carrier)

Request StandardAck CarrierReCreateNoPropertiesList(IE87Carrier carrier)
S3F17W
<L
	<DATAID>
	<A ""CarrierReCreate"">
	<U1 carrier.Location.IdAtEquipment >
	<L
	>
>
";
	}
}
